org.apache.solr.analytics.util.valuesource

## Class ReverseStringFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.solr.analytics.util.valuesource.SingleStringFunction
    - - org.apache.solr.analytics.util.valuesource.ReverseStringFunction

-     public class ReverseStringFunction
      extends SingleStringFunction

  `ReverseStringFunction` reverses the string value of the source it contains.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class org.apache.solr.analytics.util.valuesource.SingleStringFunction

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReverseStringFunction(ValueSource source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CharSequence` | `func(int doc, FunctionValues vals)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.solr.analytics.util.valuesource.SingleStringFunction

      `description, equals, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReverseStringFunction

          public ReverseStringFunction(ValueSource source)

  - ### Method Detail

    - #### name

          protected String name()

    - #### func

          protected CharSequence func(int doc,
                                      FunctionValues vals)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.